# Main issues I ran into

## kubeadm init

### Something something API V1

Probably ~~(surely)~~ the `containerd` version you are using is 1.4 something, that's due being the default version installed / from the default repositories.

To fix it, install `containerd.io`.

If currently can't find `containerd.io`, follow the [Set up the repository](https://docs.docker.com/engine/install/debian/#install-using-the-repository) to set up the repositories and finally run `apt-get install containerd.io`

You can check the version by running `containerd --version`

## CNI plugin initializing

Wait, if after a while it still this way, confirm that you actually deployed the (right) network plugin.

```shell
kubectl create -f https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/calico.yaml
```
